{pkgs, inputs, user, ...}: {
  imports = [
    ./mpv.nix
    ./vscode.nix
  ];

  home.packages = with pkgs; [
    # system
    selectdefaultapplication
    easyeffects
    pwvucontrol
    helvum
    cosmic-files

    # tools
    inkscape
    kdePackages.okular
    gimp3
    libreoffice
    dbeaver-bin
    zed-editor
    insomnia

    # entertainment
    kdePackages.kasts
    shortwave
    youtube-music
    transmission_4-gtk
    feishin

    # other
    element-desktop
    bitwarden

    inputs.zen-browser.packages.x86_64-linux.default
  ];

  programs.obs-studio = {
    enable = true;
    plugins = [
      pkgs.obs-studio-plugins.wlrobs
      pkgs.obs-studio-plugins.obs-pipewire-audio-capture
    ];
  };

  xdg.mimeApps.defaultApplications = {
    "application/pdf" = "sioyek.desktop";
    "x-scheme-handler/http" = "zen.desktop";
    "x-scheme-handler/https" = "zen.desktop";
    "x-scheme-handler/chrome" = "zen.desktop";
    "text/html" = "zen.desktop";
    "application/x-extension-htm" = "zen.desktop";
    "application/x-extension-html" = "zen.desktop";
    "application/x-extension-shtml" = "zen.desktop";
    "application/xhtml+xml" = "zen.desktop";
    "application/x-extension-xhtml" = "zen.desktop";
    "application/x-extension-xht" = "zen.desktop";
  };
  programs.sioyek.enable = true;

  programs.imv.enable = true;

  gtk = {
    enable = true;
    gtk3.bookmarks = [
      "file:///$HOME/Documents"
      "file:///$HOME/Pictures/Screenshots"
      "file:///$HOME/Downloads"
    ];
  };

  programs.chromium = {
    enable = true;
    package = pkgs.brave;
  };

}
